Bug 1467566 - [RFE] make engine-upgrade-check to warn about not having latest version of current minor branch
[RFE] make engine-upgrade-check to warn about not having latest version of cu...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine (Show other bugs)
4.1.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Sandro Bonazzola
Pavel Stehlik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 04:40 EDT by Jiri Belka
Modified: 2017-08-02 08:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2017-07-04 04:40:30 EDT
Description of problem:

Does engine-upgrade-check verify we have latest version of current engine minor branch before updating to newer version, ie. 4.0 -> 4.1?

This is what we usually say to clients to have.

engine-upgrade-check needs both repos for current version and for next version, ie. 4.0 and 4.1 repos.

I suppose usually update check would show only latest versions, ie. 4.1, but we would need to know also latest from current, ie 4.0.

At least 'yum list all --showduplicates' shows all versions of packages, thus one could compare installed version of 4.0 with latest 4.0 in repo and also to know 4.1 to upgrade to.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. have not latest 4.0
2. engine-upgrade-check
3. see if there is info for not having latest 4.0 before upgrading to 4.1

Actual results:
no such info exists

Expected results:
could help users in upgrades as in latest versions could be fixes to make upgrade succeed

Additional info:
info should be just a kind of warning, to highlight the info to users that we do recommend having latest version before upgrade
Comment 1 Sandro Bonazzola 2017-07-21 03:41:30 EDT
I'm not sure to understand the request.
If you have ovirt-release40.rpm installed (or RHV 4.0 channel enabled) and you're running ovrt 4.0.1, when you execute engine-upgrade-check it warns you about new 4.0.z minor update available.

When you install ovirt-release41.rpm (or enable RHV 4.1 channel) it warns you about a 4.1 update available.

Running engine-setup will update to the version detected by engine-upgrade-check so the behavior is consistent.

Our documentation says first to upgrade to latest minor and then upgrade to next version. So above behavior seems correct and consistent with our documentation and tooling.
CCing Dan and Douglas.
Comment 2 Jiri Belka 2017-07-26 06:22:12 EDT
(In reply to Sandro Bonazzola from comment #1)
> [...]
> When you install ovirt-release41.rpm (or enable RHV 4.1 channel) it warns
> you about a 4.1 update available.

That's ok but it does not produce warning I am not on latest minor of 4.0 for example.

> Running engine-setup will update to the version detected by
> engine-upgrade-check so the behavior is consistent.
> 
> Our documentation says first to upgrade to latest minor and then upgrade to
> next version. So above behavior seems correct and consistent with our
> documentation and tooling.

So you want to say one has to run twice the script, one before adding for example 4.1 repos, and once after 4.1 repos were added?
Comment 3 Sandro Bonazzola 2017-08-02 08:25:45 EDT
(In reply to Jiri Belka from comment #2)

> So you want to say one has to run twice the script, one before adding for
> example 4.1 repos, and once after 4.1 repos were added?

Yes

Note You need to log in before you can comment on or make changes to this bug.